# Contributing to react-lazy-load-image-component

Thank you for considering contributing to react-lazy-load-image-component! We appreciate your support and welcome any contributions you can make to enhance the package.

The following guidelines will help you understand how to contribute effectively:

## Ways to Contribute

There are several ways you can contribute to the project:

1. Report Issues
2. Suggest Enhancements
3. Answer Open Issues
4. Submit Pull Requests

## Reporting Issues

If you encounter any issues or bugs while using react-lazy-load-image-component, please help us improve by reporting them. To report an issue, follow these steps:

1. Check if the issue has already been reported by searching the [GitHub Issues](https://github.com/Aljullu/react-lazy-load-image-component/issues) of the repository.
2. If the issue hasn't been reported, click on the "New Issue" button.
3. Provide a clear and descriptive title for the issue.
4. Describe the steps to reproduce the issue, including any relevant code snippets or error messages.
5. Explain the expected behavior and the actual behavior you observed.
6. Add any additional information, such as screenshots or environment details, that may be helpful.
7. Finally, submit the issue and await further instructions or clarifications.

## Suggesting Enhancements

We welcome suggestions for enhancing react-lazy-load-image-component. If you have an idea for a new feature, or you believe an existing feature can be improved, please follow these steps:

1. Check the [GitHub Issues](https://github.com/Aljullu/react-lazy-load-image-component/issues) of the repository to see if a similar suggestion has already been made.
2. If your suggestion hasn't been proposed yet, click on the "New Issue" button.
3. Provide a clear and descriptive title for the enhancement.
4. Describe the current limitations or problems you're experiencing that your suggested enhancement aims to address.
5. Clearly explain how your suggested enhancement would improve the package.
6. Include any relevant code examples, if applicable.
7. Submit the enhancement suggestion and await further discussion or feedback.

## Answering Open Issues

You can contribute to react-lazy-load-image-component by helping to answer open issues in the GitHub repository. This includes:

- Helping users solve their problems or find workarounds.
- Replicating reported bugs and providing additional information or insights.
- Sharing your knowledge and expertise to assist other users.

To contribute in this way, follow these steps:

1. Visit the [GitHub Issues](https://github.com/Aljullu/react-lazy-load-image-component/issues) page of the repository.
2. Look for open issues that you can provide assistance with.
3. Read through the issue description and any existing comments to understand the problem or question.
4. If you can reproduce the issue, follow the steps provided and document your findings in a comment.
5. Offer suggestions, workarounds, or explanations to help resolve the issue.
6. Engage in respectful and constructive conversations with the issue reporter and other contributors.

## Submitting Pull Requests

We encourage you to contribute directly to the codebase of react-lazy-load-image-component by submitting pull requests (PRs). Follow these steps to submit a PR:

1. Fork the repository to your GitHub account.
2. Create a new branch with a descriptive name for your changes.
3. Implement your changes or new features. When developing, you can use `npm run start` and `npm run build` to build your changes.
4. Include tests that cover your changes and update the documentation, if applicable.
5. Make sure the codebase passes all existing tests (run `npm run test`) and lint checks (`npm run lint`).
6. Commit your changes with a clear and concise commit message.
7. Push your branch to your forked repository.
8. Open a PR against the `master` branch of the original repository.
9. Provide a detailed description of your changes in the PR, including the problem or feature addressed.
10. Engage in any further discussion or feedback requested on the PR.

Once your PR is reviewed and approved, it will be merged into the main codebase, and your contributions will become part of react-lazy-load-image-component!
